Skip to content

upsertSalesRFQLine

WRITE

Upsert sales r f q line.

POST /api/v1/sales/upsertSalesRFQLine
curl -X POST '<your-host>/api/v1/sales/upsertSalesRFQLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "salesRfqId": "string",
    "customerPartId": "string",
    "quantity": [],
    "unitOfMeasureCode": "string",
    "order": 0,
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min 0
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "salesRfqId": {
      "type": "string",
      "minLength": 1
    },
    "customerPartId": {
      "type": "string",
      "minLength": 1
    },
    "customerPartRevision": {
      "type": "string"
    },
    "itemId": {
      "type": "string"
    },
    "description": {
      "type": "string"
    },
    "quantity": {
      "type": "array",
      "items": {
        "type": "number",
        "minimum": 0.00001
      }
    },
    "unitOfMeasureCode": {
      "type": "string",
      "minLength": 1
    },
    "order": {
      "type": "number",
      "minimum": 0
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "salesRfqId",
    "customerPartId",
    "quantity",
    "unitOfMeasureCode",
    "order",
    "_operation"
  ]
}